> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-6/v6-2-0.md).

# Version 6.2.0

Learn how to integrate PDFNet in your project with important changes since version 6.1. Follow step-by-step instructions for seamless integration and explore new features like arm64 support and custom

Release Date: 2014.03.12

## Important Changes Since 6.1:

* PDFNet now is built as a statically linked framework. Follow the following steps to integrate PDFNet in your project:
  * Download the SDK and unzip it.
  * Open your project in Xcode.
  * In Xcode, select the project, in 'Build Phases' tab, expand the 'Link Binary With Libraries' section.
  * Press the '+' button, click 'Add Other...', navigate to where you unzipped the SDK and select Lib/PDFNet.framework.
  * The framework should now appear at the top of the 'Link Binary With Libraries' section, as well as under 'Frameworks' in the left hand pane
  * Import the framework header, i.e. #import \<PDFNet/PDFViewCtrl.h>.
* PDFNet now links against libc++ (the LLVM version of the C++ standard library). In your project's target settings please change C++ Standard Library setting to libc++.
* PDFNet is compiled with XCode 5.1, and XCode 5.1 must be used to compile a project that uses PDFNet. The use of the new compiler resolves a problem that would cause a crash when using the simulator or decoding certain corrupt JPEG2000 images.

## New Features:

* Support for arm64 and x86\_64.
* A set of new controls has been added to the tools library. The source code for these controls are public and can be customized as required. The controls include:
  * AnnotationViewController showing all annotations in a click-able list.
  * AnnotationToolbar for working with the various annotation creation tools.
  * OutlineViewController that displays a document's outline (bookmarks) for document navigation.
  * ThumbnailSliderViewController that displays a page's thumbnail above the slider.
* A new sample app "Complete Reader" that showcases a full featured PDF reader, incoroporating all of the controls above.
* A new DigitalSignatureTool mode that can add a signature anywhere to a page. Signatures can be saved for future use.
* A new RecentlyUsedCache is added. It works with the PDFViewCtrl to keep a thumbnail of page 1 of any opened document up to date.
* PDFDoc and SDFDoc can now incrementally save to Filter and memory outputs.
* Improved PDF/A validation and conversion.
* Persistent thumbnail disk caching and embedded thumbnail support in viewers (via SetupThumbnails).
* New SetJPGQuality setting for PDF2XOD, PDF2HTML, PDF2EPUB and PDF Flattener. This allows for finer grained control over compression quality of JPG images.

## New APIs:

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
PathData -(int)GetGlyphIndex
   PDFNet +(void)SetTempPath:(NSString*)temp_path;
   PDFNet +(void)SetPersistentCachePath:(NSString*)persistent_path;
   PDFViewCtrl -(void)SetupThumbnails: (BOOL)use_embedded generate_at_runtime: (BOOL)generate_at_runtime use_disk_cache: (BOOL)use_disk_cache thumb_max_side_length: (int)thumb_max_side_length max_abs_cache_size: (unsigned long)max_abs_cache_size max_perc_cache_size: (double)max_perc_cache_size;
```

{% endcode %}
{% endtab %}
{% endtabs %}

* Bug fixes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-6/v6-2-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
